# ACE_Notification_Buffer Class Reference

Simple wrapper for passing <ACE_Event_Handler *>s and <ace_reactor_mask>s between threads. More...

`#include <Event_Handler.h>`

Collaboration diagram for ACE_Notification_Buffer:

[legend]
List of all members.

## Public Member Functions

| ACE_Notification_Buffer (void)
| ACE_Notification_Buffer (ACE_Event_Handler *eh, ACE_Reactor_Mask mask)
| ~ACE_Notification_Buffer (void)
| Default dtor.

## Public Attributes

ACE_Event_Handler * | eh_
ACE_Reactor_Mask | mask_
| Mask that indicates which method to call.

## Detailed Description

Simple wrapper for passing <ACE_Event_Handler *>s and <ace_reactor_mask>s between threads.

## Constructor & Destructor Documentation

ACE_Notification_Buffer::ACE_Notification_Buffer | ( | void |  | ) |

ACE_Notification_Buffer::ACE_Notification_Buffer | ( | ACE_Event_Handler * | eh,
|  | ACE_Reactor_Mask | mask
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Notification_Buffer::~ACE_Notification_Buffer | ( | void |  | ) |

| Default dtor.

## Member Data Documentation

ACE_Event_Handler* ACE_Notification_Buffer::eh_

| Pointer to the Event_Handler that will be dispatched by the main event loop.

ACE_Reactor_Mask ACE_Notification_Buffer::mask_

| Mask that indicates which method to call.

The documentation for this class was generated from the following files:

- Event_Handler.h
- Event_Handler.cpp
- Event_Handler.inl